%define major 1
%define raw_name paper
%define fname lib%raw_name
%define libname %mklibname %raw_name %major

Summary:	Library for handling paper characteristics
Name:		%fname
Version:	1.1.8
Release:	%mkrel 8
Source0:	http://download.sourceforge.net/libusb/%fname-%version.tar.bz2
Patch:		libpaper-1.1.8-gcc3.3.patch.bz2
License:	LGPL
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-%version-root
URL:		http://sourceforge.net/projects/libusb/

%description
This package contains a simple library for use by programs needing
to handle papers. It lets program automatically recognize a lot of
different papers with their properties (actually their size).

%package     -n %libname
Summary:	Library for handling paper characteristics
Group:		System/Libraries

%description -n %libname
%{description}

%package   -n %libname-devel
Summary:   Library for handling paper characteristics (development files)
Group:     Development/C
Provides:  libpaper-devel = %version-%release
Obsoletes: libpaper-devel
Requires:  %libname = %version-%release

%description -n %libname-devel
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%package   -n %libname-static-devel
Summary:   Library for handling paper characteristics (development files)
Group:     Development/C
Requires:  %libname-devel = %version-%release

%description -n %libname-static-devel
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).


%package   -n paper-utils
Summary:   Library for handling paper characteristics (development files)
Group:     Development/C
Requires:  %libname = %version-%release

%description  -n paper-utils
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%prep
%setup -q -n libpaper-%version
%patch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -n %libname
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc ChangeLog debian/changelog
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%files -n %libname-static-devel
%defattr(-,root,root)
%_libdir/*.a


%files -n paper-utils
%defattr(-,root,root)
%doc README
%_bindir/paperconf
%_sbindir/paperconfig
%_mandir/man*/*

%changelog
* Tue Mar 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.8-8mdk
- fix summary (#21690)

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.8-7mdk
- fix libification

* Mon Jan 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.8-6mdk
- fix build on x86_64

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1.8-5mdk
- Rebuild

* Mon Sep 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-4mdk
- use mklibname

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-3mdk
- fix #4565

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.8-2mdk
- added a static devel package
- small patch to make it build with gcc 3.3
- autoconf2.5 macro

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-1mdk
- initial package
